// file: dec_input_1.cc
//
 
// isip include files
//
#include "decoder.h"
#include "decoder_constants.h"
 
// method: read_key_cc
//
// arguments: none
//  
// return: a logical_1 indicating status
//
// this method reads in the step size for evaluating frames in the
// demo mode from stdin
//
logical_1 Decoder::read_key_cc() {

  // check if need to read external input
  //
  if (num_steps_d == (int_4)0) {

    // flush the pipes
    //
    fflush(stdout);
    fflush(stdin);

    // read control input from user
    //
    while (num_steps_d == (int_4)0) {
      fscanf(stdin, "%ld", &num_steps_d);
    }
  }

  // decrement the number
  //
  if (num_steps_d > (int_4)0) {
    num_steps_d --;
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
