// file: filter/filt_set_0.cc
//

// isip include files
//
#include "filter.h"
#include "filter_constants.h"
#include <strings.h>

// method: set_cc
//
// arguments:
//  float_8* data: (input) data for the filter to create
//  int_4 width_d: (input) length of filter to create
//
// return: a logical_1 indicating status
//
logical_1 Filter::set_cc(float_8 *data_a, int_4 width_a) {

  // allocate the data
  //
  allocate_cc(width_a);

  // copy over the samples
  //
  memcpy(data_d, data_a, sizeof(float_8)*width_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
