// file: hc_cstr_2.cc
//

// isip include files
//
#include "hash_cell.h"
#include "hash_cell_constants.h"
 
// method: constructor
//
// arguments:
//  void_p item : (input) item  be stored in hash_cell
//  int_4* key_vec : (input) key vector
//  int_4 key_size : (input) size of the key vector
//
// return: none
//
// this is an overloaded constructor 
//
Hash_cell::Hash_cell(void_p item_a, int_4* key_vec_a, int_4 key_size_a) {

  // initialize the internal data
  //
  key_str_d = (char_1*)NULL;
  key_vec_d = (int_4*)NULL;
  key_size_d = 0;
  next_d = (Hash_cell*)NULL;

  // set the data
  //
  set_cc(key_vec_a, key_size_a, item_a);

  // exit gracefully
  //
}
