// file: latp_clear_0.cc
//

// isip include files
//
#include "lattice_path.h"
#include "lattice_path_constants.h"

// method: clear_cc
//
// arguments: none
//
// return: a logical_1 with status
//
// this method clears the contents of the class
//
logical_1 Lattice_path::clear_cc() {

  // reset the parameters
  //
  word_pos_d = LATTICE_PATH_DEFAULT_INDEX;
  path_type_d = LATTICE_PATH_DEFAULT_INDEX;
  score_d = LATTICE_PATH_DEFAULT_SCORE;
  curr_d = (Lattice_node*)NULL;
  prev_d = (Lattice_path*)NULL;

  // exit gracefully
  //
  return ISIP_TRUE;
}
