// file: mm_delete_4.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include "hash_cell.h"

// method: delete_cc
//
// arguments:
//  Hash_cell* hcell : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input hash table cell and puts it in the free
// hash table cells list
//
logical_1 Memory_manager::delete_cc(Hash_cell* hcell_a) {
  
  // get a link node to hold this hash table cell
  //
  Link_node* node = new_node_cc();
  
  // put the hash table cell in this
  //
  hcell_a->clear_cc();
  node->set_item_cc((void_p)hcell_a);
  
  // insert the incoming node in the node list
  //
  node->insert_cc(hash_list_d);
  hash_list_d = node;
  
  // increment free hash table cell count
  //
  hash_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
