// file: mm_grow_1.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include <trace.h>

// method: grow_trace_cc
//
// arguments: none
//
// return: a logical_1 indicating success
//
// this method grows the number of empty traces by the trace grow size
//
logical_1 Memory_manager::grow_trace_cc() {

  // create new empty traces
  //
  Trace** trace = new Trace*[trace_grow_size_d];
  Link_node* lnd = (Link_node*)NULL;

  // insert the traces in a list
  //
  for (int_4 i = 0; i < trace_grow_size_d; i++) {
    lnd = new_node_cc();
    trace[i] = new Trace();
    lnd->set_item_cc((void_p)trace[i]);
    if ((i == (int_4)0) && (trace_count_d == (int_4)0)) {
      trace_list_d = lnd;
    }
    else {
      trace_list_d->insert_cc(lnd);
    }
  }
  
  // update the count of free traces
  //
  trace_count_d += trace_grow_size_d;
  num_trace_d += trace_grow_size_d;

  // free pointer memory since the objects will be deleted seperately
  //
  delete [] trace;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
