// file: model_constants.h
//

// make sure definitions are only made once
//
#ifndef __ISIP_MODEL_CONSTANTS
#define __ISIP_MODEL_CONSTANTS

// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_STATE_CONSTANTS
#include <state_constants.h>
#endif

// define the class name
//
#define MODEL_CLASS_NAME (char_1*)"Model"

// define constants for the default levels and indices
//
#define MODEL_DEFAULT_NUM_STATES (int_4)0;

// define the score for non-existant state transitions
//
#define MODEL_NOTRANS_SCORE STATE_SCORE

// end of file
// 
#endif

