// file: ngrn_cstr_2.cc
//

// isip include files
//
#include "ngram_node.h"
#include "ngram_node_constants.h"

// method: constructor
//
// arguments:
//  Word* word: (input) the word at this node
//  Ngram_node** next: (input) the first node in next order ngrams list
//  float_4 lmscore: (input) lm score
//  float_4 backoff: (input) backoff score
//  int_4 num_next_nodes: (input) the number of next grams for this node
//
// return: none
//
// this is an overloaded constructor
//
Ngram_node::Ngram_node(Word* word_a, Ngram_node** next_a,
		       float_4 lmscore_a, float_4 backoff_a,
		       int_4 num_next_nodes_a) {
  
  word_d = word_a;
  next_node_d = next_a;
  lmscore_d = lmscore_a;
  backoff_d = backoff_a;
  num_next_nodes_d = num_next_nodes_a;
  
  // exit gracefully
  //
}
