// file: plist_frame_2.cc
//

// isip include files
//
#include "path_list.h"
#include "path_list_constants.h"

// method: incr_frame_ind_cc
//
// arguments:
//  int_4 incr: (input) the step value to increment
//
// return: a logical_1 indicating status
//
// this method increments the frame index count
//
logical_1 Path_list::incr_frame_ind_cc() {

  // increment the frame index
  //
  frame_index_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
