// file: subpath_match_constants.h
//
// this is the header for the path subpath_match class
//

// make sure definitions are only made once
//
#ifndef __ISIP_SUBPATH_MATCH_CONSTANTS
#define __ISIP_SUBPATH_MATCH_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_LINK_LIST_CONSTANTS
#include <link_list_constants.h>
#endif

#ifndef __ISIP_WORD_CONSTANTS
#include <word_constants.h>
#endif

// define the class name
//
#define SUBPATH_MATCH_CLASS_NAME (char_1*)"Subpath_match"

// define some numeric constants
//
#define SUBPATH_MATCH_DEFAULT_TIME_PAD (int_4)0
#define SUBPATH_MATCH_DEFAULT_TIME_FRAME (int_4)-1

#define SUBPATH_MATCH_DEFAULT_OVERLAP_THRESH (float_4)0.8

// end of file
// 
#endif
