// file: tok_debug_0.cc
//

// isip include files
//
#include "token.h"
#include "token_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Token::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s state_d = %ld\n", TOKEN_CLASS_NAME, message_a,
	  state_d);
  fprintf(fp_a, "%s::%s trace_d = %p\n", TOKEN_CLASS_NAME, message_a,
	  trace_d);
  fprintf(fp_a, "%s::%s marker_d = %p\n", TOKEN_CLASS_NAME, message_a,
	  marker_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}
