// file: tr_hc_set_0.cc
//
 
// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"
 
// method: set_key_cc
//
// arguments: 
//  char_1* key_str : (input) the key_str to set
//
// return: a logical_1 indicating success
//
// this method sets the key string
//
logical_1 Train_Hash_cell::set_key_cc(char_1* key_str_a) {

  // free existing memory
  //
  if (key_str_d != (char_1*)NULL) {
    delete [] key_str_d;
  }

  // copy new key string
  //
  key_str_d = new char_1[strlen((char*)key_str_a) + (int_4)1];
  strcpy((char*)key_str_d, (char*)key_str_a);
    
  // exit gracefully
  //
  return ISIP_TRUE;
}


