// file: tr_lat_set_0.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_num_arcs_cc
//
// arguments:
//  int_4 num_arcs_a: (input) the number of arcs in the Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the number of arcs in the Train_Lattice
//
logical_1 Train_Lattice::set_num_arcs_cc(int_4 num_arcs_a) {

  // set the Train_Word index
  //
  num_arcs_d = num_arcs_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
