// file: tr_lxn_cstr_1.cc
//

// isip include files
//
#include "train_lex_node.h"
#include "train_lex_node_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Train_Lex_node::Train_Lex_node() {

  // set the phone-related data
  //
  phone_d = TRAIN_LXN_NULL_PHONE;
  phone_index_d = TRAIN_LXN_NULL_PHONE;
  child_d = (Train_Link_list*)NULL;

  // set the word data
  //
  word_list_d = (Train_Link_list*)NULL;
  score_list_d = (float_8*)NULL;
  num_words_d = (int_4)0;
  
  // set the max LM score
  //
  max_lm_score_d = TRAIN_LXN_LM_SCORE;

  // initialize the parent lexical tree
  //
  tree_d = (void_p)NULL;

  // initialize the status flag
  //
  status_d = ISIP_FALSE;
  
  // exit gracefully
  //
}
