// file: tr_lxn_set_4.cc
//

// isip include files
//
#include "train_lex_node.h"
#include "train_lex_node_constants.h"

// method: set_max_score_cc
//
// arguments:
//  float_8 score : (input) the maximum LM score at this node
//
// return: a logical_1 indicating success
//
// this method sets the maximum LM score for all active words at this
// node
//
logical_1 Train_Lex_node::set_max_score_cc(float_8 score_a) {

  // set the score
  //
  max_lm_score_d = score_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
