// file: tr_mm_delete_1.cc
//
 
// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"

#include <train_trace.h>

// method: delete_trace_cc
//
// arguments:
//   Train_Trace* trace : (input) trace to be put back in memory
//
// return: a logical_1 indicating success
//
// this method takes the incoming trace and puts it in the list of
// available traces
//
logical_1 Train_Memory_manager::delete_cc(Train_Trace* trace_a) {

  // get a link node to hold this trace
  //
  Train_Link_node* node = new_node_cc();

  // put this trace in the free traces list
  //
  trace_a->clear_cc();
  node->set_item_cc((void_p)trace_a);

  // insert the incoming node in the trace list
  //
  if (trace_count_d == (int_4)0) {
    trace_list_d = node;
  }
  else {
    trace_list_d->insert_cc(node);
  }
  
  // increment free trace count
  //
  trace_count_d++;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
