// file: tr_st_cstr_1.cc
//

// isip include files
//
#include "train_state.h"
#include "train_state_constants.h"

// initialize static variables
//
int_4 Train_State::num_features_d = TRAIN_STATE_NUM_FEATURES;

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the class
//
Train_State::Train_State() {

  // create an instance of the class
  //
  num_mixtures_d = TRAIN_STATE_NUM_MIXTURES;
  weights_d = (float_4*)NULL;
  scale_d = (float_4*)NULL;
  mean_d = (float_4**)NULL;
  covar_d = (float_4**)NULL;
  frame_d = (int_4)-1;
  score_d = TRAIN_STATE_SCORE;
  state_index_d = TRAIN_STATE_INDEX;
  
  // exit gracefully
  //
}
