// file: train_trace_constants.h
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_TRACE_CONSTANTS
#define __ISIP_TRAIN_TRACE_CONSTANTS

// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_TRAIN_LATTICE_NODE_CONSTANTS
#include <train_lattice_node_constants.h>
#endif

#ifndef __ISIP_TRAIN_LEX_NODE_CONSTANTS
#include <train_lex_node_constants.h>
#endif

#ifndef __ISIP_TRAIN_WORD_CONSTANTS
#include <train_word_constants.h>
#endif

// define the class name
//
#define TRAIN_TRACE_CLASS_NAME (char_1*)"Train_Trace"

// define constants for the default levels and indices
//
#define TRAIN_TRACE_DEFAULT_INDEX (int_4)-1
#define TRAIN_TRACE_DEFAULT_SCORE (float_8)0

#define TRAIN_TRACE_STATE_LEVEL (int_4)0
#define TRAIN_TRACE_PHONE_LEVEL (int_4)1
#define TRAIN_TRACE_WORD_LEVEL (int_4)2
#define TRAIN_TRACE_NUM_LEVELS (int_4)3

// end of file
// 
#endif
