// file: hist_cstr_1.cc
//

// isip include files
//
#include "history.h"
#include "history_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
History::History() {

  // set the parameters
  //
  level_d = HISTORY_DEFAULT_INDEX;
  phone_index_d = HISTORY_DEFAULT_INDEX;
  state_index_d = HISTORY_DEFAULT_INDEX;

  // set the word
  //
  histwords_d = (void_p*)NULL;
  type_d = HISTORY_WORDGRAPH;

  // set the previous history nodes information
  //
  hist_num_d = (int_4)0;
  prev_d = (Link_list*)NULL;
  prevsc_d = (float_4*)NULL;

  // set the information necessary during back-tracking
  //
  frame_index_d = (int_4)0;
  score_d = HISTORY_DEFAULT_SCORE;
  ref_count_d = 0;
  
  // exit gracefully
  //
}

// initialize static variables
//
int_4 History::hist_len_d = HISTORY_DEFAULT_LEN;

