// file: mm_grow_6.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include <history.h>

// method: grow_hist_cc
//
// arguments: none
//
// return: a logical_1 indicating success
//
// this method grows the number of empty hist nodes by the hist node
// grow size
//
logical_1 Memory_manager::grow_hist_cc() {

  // create new empty hist nodes
  //
  History** hist = new History*[hist_grow_size_d];
  Link_node* lnd = (Link_node*)NULL;
  
  // insert the hist nodes in a list
  //
  for (int_4 i = 0; i < hist_grow_size_d; i++) {
    lnd = new_node_cc();
    hist[i] = new History();
    lnd->set_item_cc((void_p)hist[i]);
    if ((i == (int_4)0) && (hist_count_d == (int_4)0)) {
      hist_list_d = lnd;
    }
    else {
      hist_list_d->insert_cc(lnd);
    }
  }
  
  // update the count of free hists
  //
  hist_count_d += hist_grow_size_d;
  num_hist_d += hist_grow_size_d;

  // free pointer memory since the objects will be deleted seperately
  //
  delete [] hist;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
