// file: ngrm_cstr_2.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: constructor
//
// arguments:
//  int_4 order_a : (input) order of ngram lm
//  Ngram_list** ngram_list_a :(input) array of lists for all ngrams
//
// return: none
//
// this is an overloaded constructor
//
Ngram::Ngram(int_4 order_a, Ngram_list** ngram_lists_a) {

  // set ngram order
  //
  lmscale_d = NGRAM_LMSCALE;
  wdpenalty_d = NGRAM_WDPENALTY;
  ngram_order_d = order_a;
  
  // set ngram list pointers
  //
  ngram_lists_d = ngram_lists_a;
  
  // exit gracefully
  //
}
