// file: ngrm_lm_4.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: get_unigram_cc
//
// arguments:
//  Word* word_a: (input) the word for which the ngram node is needed
//  
// return: an Ngram_node* pointing to the correct ngram node
//
// this method finds the ngram node containing the input word in the
// unigram list and returns it
//
Ngram_node* Ngram::get_unigram_cc(Word* word_a) {
  
  // define temporary variables used in function
  //
  Ngram_node** ngnode = (Ngram_node**)NULL;

  // try to see if this is an existing ngram
  //
  ngram_lists_d[0]->get_node_cc(word_a, ngnode);

  // return the node and exit gracefully
  //
  return (*ngnode);
}
