// file: tr_clear_0.cc
//

// isip include files
//
#include "trace.h"
#include "trace_constants.h"

// method: clear_cc
//
// arguments: none
//
// return: a logical_1 indicating status
//
// this method resets all elements of the trace
//
logical_1 Trace::clear_cc() {

  // reset the parameters
  //
  max_hist_d = (int_4)0;
  level_d = TRACE_DEFAULT_INDEX;
  state_index_d = TRACE_DEFAULT_INDEX;
  phone_index_d = TRACE_DEFAULT_INDEX;
  score_d = TRACE_DEFAULT_SCORE;
  lex_next_d = (Lex_node*)NULL;
  history_d = (History*)NULL;
  instance_d = (Instance*)NULL;

  // exit gracefully
  //
  return ISIP_TRUE;
}
