// file: tr_hc_set_5.cc
//
 
// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"
 
// method: set_key_cc
//
// arguments: 
//  int_4* key_vec : (input) the key_vec to set
//  int_4 key_size : (input) the length of the key vector
//
// return: a logical_1 indicating success
//
// this method sets the key string
//
logical_1 Train_Hash_cell::set_key_cc(int_4* key_vec_a, int_4 key_size_a) {

  // free existing memory
  //
  if (key_size_d != key_size_a) {
    if (key_vec_d != (int_4*)NULL) {
      delete [] key_vec_d;
    }
    key_vec_d = new int_4[key_size_a];
  }

  key_size_d = key_size_a; 

  // copy new key vector
  //
  memcpy(key_vec_d, key_vec_a, key_size_d * sizeof(int_4));

  // exit gracefully
  //
  return ISIP_TRUE;
}
