// file: tr_ht_cstr_2.cc
//

// isip include files
//
#include "train_hash_table.h"
#include "train_hash_table_constants.h"
 
// method: constructor
//
// arguments:
//  int_4 size : (input) size of the hash table array
//
// return: none
//
// this is an overloaded constructor for the class
//
Train_Hash_table::Train_Hash_table(int_4 size_a, char_1 mode_a) {

  // set the hash table elements
  //
  mode_d = mode_a;
  size_d = size_a;
  cells_d = new Train_Hash_cell*[size_d];
  for (int_4 i = 0; i < size_d; i++) {
    cells_d[i] = (Train_Hash_cell*)NULL;
  }
  
  // debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
    
  // exit gracefully
  //
}
