// file: tr_lat_get_6.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: get_lm_scale_cc
//
// arguments: none
//  
// return: a float_4 lm scale factor
//
// this method gets the language Train_Model likelihood scale factor used during
// Train_Lattice generation
//
float_4 Train_Lattice::get_lm_scale_cc() {

  // exit gracefully
  //
  return lm_scale_d;
}
