// file: tr_lat_set_7.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_start_node_cc
//
// arguments:
//  Train_Lattice_node* start_node_a: (input) start node of the Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the starting node of the Train_Lattice
//
logical_1 Train_Lattice::set_start_node_cc(Train_Lattice_node* start_node_a) {

  // set the start node
  //
  start_node_d = start_node_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
