// file: tr_latn_set_1.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

// method: set_word_cc
//
// arguments:
//  Train_Word* word : (input) the word represented by the node
//
// return: a logical_1 indicating status
//
// this method sets the word represented by the node
//
logical_1 Train_Lattice_node::set_word_cc(Train_Word* word_a) {

  // set the word represented by the node
  //
  word_d = word_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
