// file: train_lex_node_constants.h
//
// this is the header file for the lexical tree node class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_LEX_NODE_CONSTANTS
#define __ISIP_TRAIN_LEX_NODE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_TRAIN_LINK_LIST_CONSTANTS
#include <train_link_list_constants.h>
#endif

// define the class name
//
#define TRAIN_LXN_CLASS_NAME (char_1*)"Train_Lex_node"

// define markers
//
#define TRAIN_LXN_NULL_PHONE (int_4)-3
#define TRAIN_LXN_START_PHONE (int_4)-2
#define TRAIN_LXN_STOP_PHONE (int_4)-1
#define TRAIN_LXN_SP_PHONE (int_4)0

// define default LM score
//
#define TRAIN_LXN_LM_SCORE (float_8)-1.0e10

// end of file
// 
#endif
