// file: tr_lxt_size_0.cc
//

// isip include files
//
#include "train_lex_tree.h"
#include "train_lex_tree_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Train_Lex_tree::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(Train_Hash_cell*);               // history_d
  size += sizeof(Train_Lex_node*);                // head_d
  if (head_d != (Train_Lex_node*)NULL) {
    size += head_d->size_cc();
  }

  // exit gracefully
  //
  return size;
}
