// file: tr_tr_cstr_1.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Train_Trace::Train_Trace() {

  // set the parameters
  //
  level_d = TRAIN_TRACE_DEFAULT_INDEX;
  phone_index_d = TRAIN_TRACE_DEFAULT_INDEX;
  state_index_d = TRAIN_TRACE_DEFAULT_INDEX;

  lat_node_d = (Train_Lattice_node*)NULL;
  lex_node_d = (Train_Lex_node*)NULL;

  backptr_size_d = (int_4)0;
  back_ptr_d = (Train_Trace**)NULL;

  max_mixture_d = (int_4)0;
  frame_index_d = (int_4)0;
  score_d = TRAIN_TRACE_DEFAULT_SCORE;
  ref_count_d = (int_4)0;
  active_d = ISIP_FALSE;

  // exit gracefully
  //
}
