// file: word_constants.h
//
 
// make sure definitions are only made once
//
#ifndef __WORD_CONSTANTS
#define __WORD_CONSTANTS
 
// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif
 
// define the class name
//
#define WRD_CLASS_NAME (char_1*)"Word"
 
// define constants for the default number of phones
//
#define WRD_DEFAULT_NUM (int_4)0;

// define some special word indices
//
#define WRD_SENT_START_WORD (int_4)1
#define WRD_SENT_END_WORD (int_4)0

// define some special word strings
//
#define WRD_NULL (char_1*)"!NULL"
#define WRD_SENT_START (char_1*)"!SENT_START"
#define WRD_SENT_END (char_1*)"!SENT_END"
#define WRD_NET_START (char_1*)"!NET_START"
#define WRD_NET_END (char_1*)"!NET_END"

// end of file
// 
#endif
